Subject: Re: [mpls] New Version Notification for draft-xu-sfc-using-mpls-spring-04.txt

From: Xuxiaohu <[email-masked]>
Date: Mon, 2 Nov 2015 06:48:37 +0000

Hi Thomas,

________________________________________
发件人: Thomas Narten [[email-masked]]
发送时间: 2015年10月31日 4:33
收件人: Xuxiaohu
抄送: [email-masked]'; [email-masked]; [email-masked]'; [email-masked]
主题: Re: New Version Notification for draft-xu-sfc-using-mpls-spring-04.txt

> According to the following statement quoted from the current SFC charter:
>
> "... The WG will examine existing identifier schemes,
>   if there is a need for such identifiers in the context of the Generic SFC
>   encapsulation, before defining any new identifier scheme.
> ..."
>
> It seems that this MPLS-SPRING-based SFC encapsulation scheme should be
> relevant to the SFC WG. At least, it could be investigated as a light-weight
> SFC encapsulation approach (from the aspect of reducing and even avoiding any
> impact on the data plane).

The charter also says:

   3. Generic SFC Encapsulation: This document will describe a single
      service-level data plane encapsulation format that:

I want to emphasize the term "a single ... encapsulation format" It
has been my understanding that the intention of this WG from the
beginning was to produce one encapsulation, not multiple ones.

[Xiaohu] My understanding is that the intention of this WG from the
beginning was to produce one encapsulation IF NEEDED. That' s why the following text is contained in the charter:

 "... The WG will examine existing identifier schemes,
if there is a need for such identifiers in the context of the Generic SFC
encapsulation, before defining any new identifier scheme..."

I think it has been clear for some time already that the WG has
selected the NSH document as its desired approach.

[Xiaohu] I wonder whether the work of examining existing identifier schemes as mentioned in the charter been finished or the WG now believe that work is not neccessary anymore?

Best regards,

Xiaohu

Are you suggesting that the WG take on this document as an additional
encapsulation for SFC? I do not think that is consistent with the
intent of the charter. Also, my read of the overall list discussion
with respect to this document is that the WG has not shown a strong
interest in this document nor indicated a compelling need for it.

If the WG disagrees with this assessment, I expect folk would speak
up.

Thomas